@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";

.projects {
  padding: 40px;

  &__title {
    font-size: 50px;
    line-height: 54px;
  }

  &__description {
    font-size: 18px;
    line-height: 20px;
  }

  &__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;

    &-item {
      max-width: 475px;

      &-title {
        top: -60px;
        padding: 18px 0;
        font-size: 20px;
        line-height: 22px;
      }

      &-description {
        font-size: 16px;
        line-height: 20px;

        &--calculator {
          bottom: -70px;
        }

        &--whack {
          bottom: -80px;
        }

        &--fav-films {
          bottom: -50px;
        }

        &--millionaire {
          bottom: -50px;
        }

        &--converter {
          bottom: -50px;
        }

        &--avalist {
          bottom: -50px;
        }

        &--to-do-list {
          bottom: -50px;
        }

        &--elem-skills {
          bottom: -70px;
        }
      }

      &-link-app {
        left: -140px;
        padding: 12px 20px;
        font-size: 16px;
        line-height: 18px;
      }

      &-link-gitlab {
        right: -150px;
        padding: 12px 20px;
        font-size: 16px;
        line-height: 18px;
      }

      &:hover &-title{
        top: 45px;
      }

      &:hover &-description{
        bottom: 80px;

        &--avalist {
          bottom: 90px;
        }

        &--to-do-list {
          bottom: 90px;
        }

        &--fav-films {
          bottom: 90px;
        }

        &--millionaire {
          bottom: 90px;
        }

        &--converter {
          bottom: 90px;
        }
      }
    }
  }

}